ruby-shadow-1.4.1-8.PU_IAS.5.x86_64.rpm


Advertisement

Description

ruby-shadow - Ruby bindings for shadow password access

Property Value
Distribution CentOS 5
Repository PUIAS Unsupported x86_64
Package name ruby-shadow
Package version 1.4.1
Package release 8.PU_IAS.5
Package architecture x86_64
Package type rpm
Installed size 14.56 KB
Download size 9.57 KB
Official Mirror springdale.math.ias.edu
Ruby bindings for shadow password access

Alternatives

Package Version Architecture Repository
ruby-shadow-1.4.1-11.ep.i386.rpm 1.4.1 i386 End Point
ruby-shadow-1.4.1-11.ep.x86_64.rpm 1.4.1 x86_64 End Point
ruby-shadow-1.4.1-8.PU_IAS.5.i386.rpm 1.4.1 i386 PUIAS Unsupported
ruby-shadow-1.4.1-2.el5.rf.i386.rpm 1.4.1 i386 Repoforge (RPMforge)
ruby-shadow-1.4.1-2.el5.rf.x86_64.rpm 1.4.1 x86_64 Repoforge (RPMforge)
ruby-shadow-1.4.1-1.el5.rf.i386.rpm 1.4.1 i386 Repoforge (RPMforge)
ruby-shadow-1.4.1-1.el5.rf.x86_64.rpm 1.4.1 x86_64 Repoforge (RPMforge)
ruby-shadow - - -

Requires

Name Value
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libcrypt.so.1()(64bit) -
libdl.so.2()(64bit) -
libm.so.6()(64bit) -
libpthread.so.0()(64bit) -
libruby.so.1.8()(64bit) -
rtld(GNU_HASH) -
ruby(abi) = 1.8

Provides

Name Value
ruby(shadow) = 1.4.1-8.PU_IAS.5
ruby-shadow = 1.4.1-8.PU_IAS.5
shadow.so()(64bit) -

Download

Type URL
Binary Package ruby-shadow-1.4.1-8.PU_IAS.5.x86_64.rpm
Source Package ruby-shadow-1.4.1-8.PU_IAS.5.src.rpm

Install Howto

  1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
    [puias-unsupported]
    name=PUIAS Unsupported
    baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/x86_64/
    enabled=1
    gpgcheck=0
    
  2. Install ruby-shadow rpm package:
    # yum install ruby-shadow

Files

Path
/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/shadow.so
/usr/share/doc/ruby-shadow-1.4.1/HISTORY
/usr/share/doc/ruby-shadow-1.4.1/README
/usr/share/doc/ruby-shadow-1.4.1/README.ja

Changelog

2008-11-13 - Bryan Kearney <bkearney@redhat.com>  - 1.4.1-8
Modify the ruby build versions to get it to build on RHEL4
2007-07-18 - David Lutterkort <dlutter@redhat.com> - 1.4.1-7
- Remove dependency on ruby{,io}.h from depend - makes builds on RHEL4 fail, 
and doesn't provide anything for proper rpm builds
2007-05-25 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-6
Removed _smp_mflags from install since it was causing problems
2007-05-18 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-5
Removed the ruby abi macro since it doesn't work in mock
2007-05-15 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-4
Cleaner ruby abi macro
2007-05-15 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-3
Fixed struct defines (0 != NULL in C) 
Calculate ruby abi at runtime instead of a hard coded version
2007-05-15 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-2
Converted README.euc to utf8 README.ja
Patched extconf.rb to use provided CFLAGS
2007-05-14 - Kostas Georgiou <k.georgiou@imperial.ac.uk> 1.4.1-1
Initial rpm release

See Also

Package Description
rubygem-actionmailer-2.1.1-1.el5.noarch.rpm Service layer for easy email delivery and testing
rubygem-actionpack-2.1.1-2.el5.noarch.rpm Web-flow and rendering framework putting the VC in MVC
rubygem-activeldap-1.0.1-1.el5.noarch.rpm Ruby/ActiveLdap is a object-oriented API to LDAP
rubygem-activerecord-2.1.1-2.el5.noarch.rpm Implements the ActiveRecord pattern for ORM
rubygem-activeresource-2.1.1-1.el5.noarch.rpm Active Record for web resources
rubygem-activesupport-2.1.1-1.el5.noarch.rpm Support and utility classes used by the Rails framework
rubygem-daemons-1.0.7-2.PU_IAS.5.noarch.rpm A toolkit to create and control daemons in different ways
rubygem-fastthread-1.0.1-1.PU_IAS.5.x86_64.rpm Optimized replacement for thread.rb primitives
rubygem-gem_plugin-0.2.2-2.PU_IAS.5.noarch.rpm A plugin system based only on rubygems that uses dependencies only
rubygem-mongrel-1.0.1-6.PU_IAS.5.x86_64.rpm A small fast HTTP library and server for Ruby apps
rubygem-rails-2.1.1-2.el5.noarch.rpm Web-application framework
rubygem-rake-0.8.3-1.PU_IAS.5.noarch.rpm Ruby based make-like utility
rubygems-1.3.1-1.el5.noarch.rpm The Ruby standard for packaging ruby libraries
sabayon-2.12.4-4.1.PU_IAS.5.x86_64.rpm Tool to maintain user profiles in a GNOME desktop
sabayon-apply-2.12.4-4.1.PU_IAS.5.x86_64.rpm The parts of sabayon needed on the client systems
Advertisement
Advertisement